<template>
  <div class="relative flex content-center items-center justify-center" style="min-height: 85vh">
        <div class="absolute top-0 w-full h-full bg-right-top bg-cover" style="background-image:url('https://images.unsplash.com/photo-1587854692152-cbe660dbde88?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1500&q=80');"></div>
        <span
            id="blackOverlay"
            class="w-full h-full absolute opacity-50 bg-black"
          ></span>
        <div class="container relative mx-auto">
          <div class="items-center flex flex-wrap">
            <div class="w-full lg:w-6/12 px-4 ml-auto mr-auto text-center">
              <div class="justify-center">
                <h1 class="text-white font-bold text-3xl sm:text-5xl uppercase">
                  Hospital gotham
                </h1>
                <p class="mt-4 text-md sm:text-lg text-gray-300">
                  Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatum, voluptas sed ab, tempora esse corporis illo ipsam totam similique deserunt recusandae iste alias saepe aut sapiente ut consequatur dignissimos, repudiandae iusto ducimus aperiam. At, voluptatum!
                </p>
                <button @click="mostrar" class="mt-3 p-2 bg-transparent hover:bg-orange-500 text-white font-semibold border border-white hover:border-transparent rounded focus:outline-none">
                  Sacar ficha</button>
                <jet-dialog-modal class="w-1/2" :show="abrirModal" @close="closeModal">
                  <template #title>
                      Ingresar
                  </template>

                  <template #content>
                    <div class="block">
                      <form @submit.prevent="handleboton">
                        <input type="text" placeholder="Usuario" v-model="form.username" required autofocus
                        class="w-full ml-2 mr-3 pl-2 mt-1 focus:ring-orance-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
                        <input type="password" placeholder="Clave" v-model="form.password" required autofocus
                        class="w-full ml-2 mr-3 pl-2 mt-2 focus:ring-indigo-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
                        <button class="ml-2 mt-2 bg-yellow-500 py-1 px-2 border border-orange-500 rounded-md shadow-sm text-md text-semibold leading-4 font-medium text-white hover:bg-blue-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:bg-transparent focus:text-black">
                            Entrar
                        </button>
                      </form>
                    </div>
                  </template>

                  <template #footer>
                      hola3
                  </template>
              </jet-dialog-modal>
              </div>
            </div>
          </div>
        </div>
      </div>
</template>

<script>
import JetDialogModal from '@/Jetstream/DialogModal'
import JetInput from '@/Jetstream/Input'
import JetInputError from '@/Jetstream/InputError'
export default {
  props: {
            title: {
                default: 'Confirm Password',
            },
            content: {
                default: 'For your security, please confirm your password to continue.',
            },
            button: {
                default: 'Confirm',
            }
        },

        components: {
            JetDialogModal,
            JetInput,
            JetInputError,
        },

        data() {
            return {
                abrirModal: false,
                form: {
                  username: '',
                  password: '',
                  error: '',
                },
            }
        },

        methods: {
          mostrar(){
            this.abrirModal =!this.abrirModal
          },
          closeModal() {
              this.abrirModal = false
              this.form.password = '';
              this.form.error = '';
          },
          handleboton(){

          }
        }
}
</script>

<style>

</style>